REM Dbut du script Digipanel
REM @echo off

setlocal ENABLEEXTENSIONS
set KEY_NAME=HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\826fa8ea-b6da-570e-8a60-9eb17c35227d
set VALUE_NAME=DisplayVersion

REM Dfinition de l'URL de tlchargement 
set DOWNLOAD_URL=http://update.digitick.com/
set FILENAME=DigitickPanelSetup.exe
REM Dfinition de la dernire version  installer
set VERSION=0.2.9

REM Dfinition du fichier de log de l'installeur
set LOGFILE=c:\windows\temp\digipanel.log

del %LOGFILE% /Q

echo -------------------------------------------------------------- >> %LOGFILE%
echo %date% %time% %username% Script Start >> %LOGFILE%


REM Si la cl n'existe pas on lance l'install directement
reg query HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\826fa8ea-b6da-570e-8a60-9eb17c35227d /v DisplayVersion
if errorlevel 1 goto Install_Panel

REM On set la partie de la cl qui permet la comparaison de version
FOR /F "tokens=1-3" %%A IN ('REG QUERY %KEY_NAME% /v %VALUE_NAME% 2^>nul') DO (set KEY_VALUE=%%C)

if defined KEY_VALUE (
REM CHECK VERISION
    echo %date% %time% %KEY_NAME%\%VALUE_NAME% found. >> %LOGFILE% 
    echo VALUE IN SCRIPT : %VERSION% >> %LOGFILE%
    echo VALUE IN REGISTRY : %KEY_VALUE% >> %LOGFILE%
    
    if %KEY_VALUE% == %VERSION% (
        echo NO UPDATE NEEDED >> %LOGFILE%
        goto End
    ) else (
        echo UPDATE NEEDED >> %LOGFILE%
        goto Install_Panel
    )
) else (
    echo %date% %time% %KEY_NAME%\%VALUE_NAME% not found. >> %LOGFILE% 
    goto Install_Panel
)

:Install_Panel
echo %date% %time% DigiPanel est requis, lancement de l'installation >> %LOGFILE%
REM On rcupre la dernire version du package
bitsadmin.exe /transfer "Digitick" %DOWNLOAD_URL%/%FILENAME% C:\windows/temp/digipannel.exe
echo %date% %time% Download Done >> %LOGFILE%


REM Lancement de l'installation
echo %date% %time% Kill DigiPannel >> %LOGFILE%
taskkill.exe /f /im "Digitick Panel.exe" >> %LOGFILE% 
echo %date% %time% Setup en cours >> %LOGFILE%
C:\windows/temp/digipannel.exe >> %LOGFILE%
echo %date% %time% DigiPanel OK >> %LOGFILE%

:End
REM Verrouillage de l'update auto pour les users non admin
echo > "C:\Program Files (x86)\Digitick Panel\NOUPDATE"
echo > "C:\Program Files\Digitick Panel\NOUPDATE"
echo %date% %time% Script End >> %LOGFILE%
echo -------------------------------------------------------------- >> %LOGFILE%

REM Fin du script Digipanel

